slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSLanczosSetReorthog

Sets the type of reorthogonalization used during the Lanczos iteration.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLanczosSetReorthog(EPS eps,EPSLanczosReorthogType reorthog)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| reorthog | - the type of reorthogonalization

### Options Database Key

| -eps_lanczos_reorthog | - Sets the reorthogonalization type (either 'local', 'selective', 'periodic', 'partial', 'full' or 'delayed')

### See Also

EPSLanczosGetReorthog(), EPSLanczosReorthogType

### Level

advanced

### Location

src/eps/impls/krylov/lanczos/lanczos.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages